PUT /profiles/{id}

Update a profile (null clears an optional field; 409 on a duplicate name or externalId)

PUT
/profiles/{id}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Profile id

Request Body

application/json
  1. body
name?string
Lengthlength <= 100
description?|
Lengthlength <= 500
color?string|null
timezone?|

IANA zone

externalId?|
Lengthlength <= 255
isDefault?boolean

Response Body

{message, profile}

application/json
  1. response
message?string
profile?
Example Request
curl -X PUT 'https://example.com/api/v1/profiles/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "message": "string",  "profile": {    "id": "string",    "name": "string",    "description": "string",    "color": "string",    "timezone": "string",    "externalId": "string",    "isDefault": true,    "accountCount": 0,    "createdAt": "string",    "updatedAt": "string"  }}